import { DataService } from './data.service';
import * as i0 from "@angular/core";
export declare class TranslationService {
    private dataService;
    private translations;
    private currentLang;
    private translationsLoaded;
    translationsLoaded$: import("rxjs").Observable<void>;
    constructor(dataService: DataService);
    load(): Promise<void>;
    setTranslations(translations: any): void;
    getLanguage(): string;
    setLanguage(lang: string): void;
    translate(key: string): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TranslationService>;
}
